%global debug_package %{nil}

Name: python-py
Epoch: 100
Version: 1.11.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Library with cross-python path, ini-parsing, io, code, log facilities
License: MIT
URL: https://github.com/pytest-dev/py/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
The py lib is a Python development support library.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-py
Summary: Library with cross-python path, ini-parsing, io, code, log facilities
Requires: python3
Provides: python3-py = %{epoch}:%{version}-%{release}
Provides: python3dist(py) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-py = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(py) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-py = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(py) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-py
The py lib is a Python development support library.

%files -n python%{python3_version_nodots}-py
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-py
Summary: Library with cross-python path, ini-parsing, io, code, log facilities
Requires: python3
Provides: python3-py = %{epoch}:%{version}-%{release}
Provides: python3dist(py) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-py = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(py) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-py = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(py) = %{epoch}:%{version}-%{release}

%description -n python3-py
The py lib is a Python development support library.

%files -n python3-py
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-py
Summary: Library with cross-python path, ini-parsing, io, code, log facilities
Requires: python3
Provides: python3-py = %{epoch}:%{version}-%{release}
Provides: python3dist(py) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-py = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(py) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-py = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(py) = %{epoch}:%{version}-%{release}

%description -n python3-py
The py lib is a Python development support library.

%files -n python3-py
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
